AAAAAAAAARRRRRRRRGGGGGGGGHHHHHHHHHH
include_spip(‘plugins/installer’);
dans un fichier _options.php
SERIEUSEMENT ?

Je rappelle que les fichiers _options.php sont appelés à CHAQUE hit d’un page. 
Réflechissez toujours à deux fois avant de faire un truc dedans.
Et spip_version_compare() c’est super lourd pour ce genre de test, c’est pas 
pour rien qu’on l’a mis dans plugins/xxx, c’est vraiment pour gérer les 
problématiques de numéro de version inconsistants, divers, et avec jokers.

Quelque chose du genre
$version = explode(‘.’,$GLOBALS[‘spip_version_branche’]);
if (array_shift($version)>3 or array_shift($version)>=2) {
..
}
fait le job beaucoup plus simplement et rapidement

(j’étais persuadé qu’on avait ajouté un define(‘_SPIP_VERSION’,..) numérique 
sur une proposition de James, mais visiblement non, pas encore)

--
Cédric
Le 24 sept. 2019 à 09:35 +0200, Bruno Bergot <br...@eliaz.fr>, a écrit :
> Hop,
>
> Le 24/09/2019 à 09:25, JLuc a écrit :
> > https://contrib.spip.net/Bonux-pour-SPIP3#comment502446
> > signale une erreur avec la nouvelle version de bonux :
> > "undefined function spip_version() in
> > /htdocs/plugins/auto/spip_bonux/v3.5.0/spip_bonux_options.php:91"
> > et indique qu'il faut y remplacer spip_version() par
> > $GLOBALS['spip_version_branche']
> >
> > Ça semble suite à
> > https://zone.spip.net/trac/spip-zone/changeset/117914/spip-zone
> >
>
> Deux options :
>
> - ajouter un include_spip('inc/filtres');
> - utiliser $GLOBALS['spip_version_branche']
>
> Paye ton fix Maïeul :p
>
> ++
> b_b
> ----
> spip-zone@rezo.net - https://listes.rezo.net/mailman/listinfo/spip-zone
----
spip-zone@rezo.net - https://listes.rezo.net/mailman/listinfo/spip-zone

Répondre à